LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XCommandProcessor2 Interface Referencepublished

An improved version of a com::sun::star::ucb::XCommandProcessor that helps avoid ever-increasing resource consumption. More...

`import"XCommandProcessor2.idl";`

Inheritance diagram for XCommandProcessor2:

## Public Member Functions
void | releaseCommandIdentifier ([in] long CommandId)
| releases a command identifier obtained through XCommandProcessor::createCommandIdentifier() when it is no longer used. More...
Public Member Functions inherited from XCommandProcessor
long | createCommandIdentifier ()
| creates a unique identifier for a command. More...
any | execute ([in] Command aCommand, [in] long CommandId, [in] XCommandEnvironment Environment) raises ( com::sun::star::uno::Exception, CommandAbortedException )
| executes a command. More...
void | abort ([in] long CommandId)
| ends the command associated with the given id. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

An improved version of a com::sun::star::ucb::XCommandProcessor that helps avoid ever-increasing resource consumption.

Developers Guide
  Universal Content Broker - Services and Interfaces

## Member Function Documentation

## ◆ releaseCommandIdentifier()

void releaseCommandIdentifier | ( | [in] long | CommandId | ) |

releases a command identifier obtained through XCommandProcessor::createCommandIdentifier() when it is no longer used.

After this call the command identifier cannot be used any longer in calls to XCommandProcessor::execute() and XCommandProcessor::abort(). (But it can happen that a call to XCommandProcessor::createCommandIdentifier() reuses this identifier.)

Parameters

  CommandId | A command identifier obtained through XCommandProcessor::createCommandIdentifier(). If the identifier is zero, the request is silently ignored; but if the identifier is invalid (not obtained via XCommandProcessor::createCommandIdentifier() or already handed to XCommandProcessor2::releaseCommandIdentifier() before), the behavior is undefined.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XCommandProcessor2.idl